Package org.apache.wiki.spi

## Class ContentsSPIDefaultImpl

- java.lang.Object
- - org.apache.wiki.spi.ContentsSPIDefaultImpl

All Implemented Interfaces:
  `ContentsSPI`

    public class ContentsSPIDefaultImpl
    extends java.lang.Object
    implements ContentsSPI

Default implementation for `ContentsSPI`

See Also:
  `ContentsSPI`

### Constructor Summary

Constructors
`ContentsSPIDefaultImpl()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Attachment` `attachment​(Engine engine, java.lang.String parentPage, java.lang.String fileName)`
`Page` `page​(Engine engine, java.lang.String name)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ContentsSPIDefaultImpl

    public ContentsSPIDefaultImpl()

### Method Detail

#### attachment

    public Attachment attachment​(Engine engine,
                                 java.lang.String parentPage,
                                 java.lang.String fileName)

Specified by:
  `attachment` in interface `ContentsSPI`

#### page

    public Page page​(Engine engine,
                     java.lang.String name)

Specified by:
  `page` in interface `ContentsSPI`